---@meta

---@class USaveGameListItem_C : URGListItemBaseNoText
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Filename FString
---@field OnClicked FSaveGameListItem_COnClicked
---@field MetadataSession UBP_SaveGameMetadata_C
---@field PlayerController APlayerController
---@field bHasMetadata boolean
---@field OnMetadataLoaded FSaveGameListItem_COnMetadataLoaded
local USaveGameListItem_C = {}

---@param SlotName FString
function USaveGameListItem_C:GetSlotNameWithDirectory(SlotName) end
---@param SlotWithoutUserDirectory FString
function USaveGameListItem_C:GetFileNameWithoutDirectory(SlotWithoutUserDirectory) end
---@param MetaData UBP_SaveGameMetadata_C
function USaveGameListItem_C:GetMetadata(MetaData) end
---@param bIsMetadataLoaded boolean
function USaveGameListItem_C:IsMetadataLoaded(bIsMetadataLoaded) end
---@param bHasMetadata boolean
function USaveGameListItem_C:HasMetadata(bHasMetadata) end
---@param SlotName FString
function USaveGameListItem_C:GetFilename(SlotName) end
---@param PrettyName FString
function USaveGameListItem_C:GetPrettyGameName(PrettyName) end
---@return TSubclassOf<URGListEntryBase>
function USaveGameListItem_C:GetEntryClass() end
function USaveGameListItem_C:Init() end
---@param SaveGame ULocalPlayerSaveGame
function USaveGameListItem_C:LoadMetadata(SaveGame) end
---@param EntryPoint int32
function USaveGameListItem_C:ExecuteUbergraph_SaveGameListItem(EntryPoint) end
---@param MetadataLoaded USaveGameListItem_C
function USaveGameListItem_C:OnMetadataLoaded__DelegateSignature(MetadataLoaded) end
---@param SaveGame USaveGameListItem_C
function USaveGameListItem_C:OnClicked__DelegateSignature(SaveGame) end


